ChangeSet 1.1936, 2004/04/22 13:53:58-07:00, david-b@pacbell.net

[PATCH] USB: usbnet and pl2301/2302 reset

Handle some PL-2301/2302 devices better.


 drivers/usb/net/usbnet.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Thu Apr 22 14:40:55 2004
+++ b/drivers/usb/net/usbnet.c	Thu Apr 22 14:40:55 2004
@@ -2107,8 +2107,12 @@
 
 static int pl_reset (struct usbnet *dev)
 {
-	return pl_set_QuickLink_features (dev,
+	/* some units seem to need this reset, others reject it utterly.
+	 * FIXME be more like "naplink" or windows drivers.
+	 */
+	(void) pl_set_QuickLink_features (dev,
 		PL_S_EN|PL_RESET_OUT|PL_RESET_IN|PL_PEER_E);
+	return 0;
 }
 
 static const struct driver_info	prolific_info = {
